import 'dart:developer';
import 'dart:io';

import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;
import 'package:hub/flutter_flow/index.dart';
import 'package:hub/shared/mixins/template_mixin.dart';
import 'package:path_provider/path_provider.dart';
import 'package:pdfx/pdfx.dart';
import 'package:share_plus/share_plus.dart';
import 'package:rx_bloc_list/rx_bloc_list.dart';
import 'package:rxdart/rxdart.dart';
import 'package:rx_bloc/rx_bloc.dart';

part 'widgets.rxb.g.dart';

/// [Base]
part 'page.dart';
part 'component.dart';
part 'screen.dart';
part 'model.dart';
part 'entity.dart';

/// [View]'s
part 'list_view.dart';
part 'carousel_view.dart';
part 'read_view.dart';
part 'enhanced_list_view.dart';

/// [Component]'s
part 'text.dart';
